Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000630Core InformModel worldpublic2011-03-28 18:132014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000630: The thing gone with is allowed to be the vehicle gone by
DescriptionIn the attached source the player pushes the car north with the car. In response, Inform generates two looking actions, one for the player arriving by movement, another for the player arriving by being pushed.
Minimal Source Text To Reproduce
There is a room.  North is another room.
Here is a vehicle called the old car.  It is pushable between rooms.
Test me with "enter car / push car n".
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002487)
graham (administrator)
2014-02-13 13:10

The new "can't push from within rule" blocks this.

- Issue History
Date Modified Username Field Change
2011-03-28 18:13 EmacsUser New Issue
2011-03-28 18:13 EmacsUser Description Updated View Revisions
2011-03-30 14:20 jmcgrew Status new => acknowledged
2011-05-30 22:10 jmcgrew Status acknowledged => confirmed
2014-02-13 13:10 graham Note Added: 0002487
2014-02-13 13:10 graham Status confirmed => resolved
2014-02-13 13:10 graham Resolution open => fixed
2014-02-13 13:10 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker